<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Crazyflie plugin for ARGoS: src/plugins/robots/crazyflie/simulator/crazyflie_battery_default_sensor.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Crazyflie plugin for ARGoS
   </div>
   <div id="projectbrief">ADARS project -- PCOG / SnT / University of Luxembourg</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_7020b8b7abcceffa3f9f7a2d24718f16.html">plugins</a></li><li class="navelem"><a class="el" href="dir_57fbab4b29583c403f1efb5284ea3eb3.html">robots</a></li><li class="navelem"><a class="el" href="dir_82540c9fcfb987b606f5fb531cb7ce0a.html">crazyflie</a></li><li class="navelem"><a class="el" href="dir_8f67be75dbc917b3ef586b0672f32ede.html">simulator</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">crazyflie_battery_default_sensor.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;argos3/core/simulator/simulator.h&gt;</code><br />
<code>#include &lt;argos3/core/simulator/entity/embodied_entity.h&gt;</code><br />
<code>#include &lt;argos3/core/simulator/entity/composable_entity.h&gt;</code><br />
<code>#include &quot;<a class="el" href="crazyflie__battery__default__sensor_8h_source.html">crazyflie_battery_default_sensor.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="crazyflie__battery__equipped__entity_8h_source.html">crazyflie_battery_equipped_entity.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for crazyflie_battery_default_sensor.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="crazyflie__battery__default__sensor_8cpp__incl.png" border="0" usemap="#asrc_2plugins_2robots_2crazyflie_2simulator_2crazyflie__battery__default__sensor_8cpp" alt=""/></div>
<map name="asrc_2plugins_2robots_2crazyflie_2simulator_2crazyflie__battery__default__sensor_8cpp" id="asrc_2plugins_2robots_2crazyflie_2simulator_2crazyflie__battery__default__sensor_8cpp">
<area shape="rect" title=" " alt="" coords="861,5,1029,76"/>
<area shape="rect" title=" " alt="" coords="407,124,553,165"/>
<area shape="rect" title=" " alt="" coords="989,221,1155,262"/>
<area shape="rect" title=" " alt="" coords="1185,124,1365,165"/>
<area shape="rect" href="crazyflie__battery__default__sensor_8h.html" title=" " alt="" coords="578,124,742,165"/>
<area shape="rect" href="crazyflie__battery__equipped__entity_8h.html" title=" " alt="" coords="983,124,1161,165"/>
<area shape="rect" title=" " alt="" coords="369,228,423,255"/>
<area shape="rect" title=" " alt="" coords="918,228,965,255"/>
<area shape="rect" title=" " alt="" coords="448,221,573,262"/>
<area shape="rect" title=" " alt="" coords="597,221,723,262"/>
<area shape="rect" title=" " alt="" coords="747,221,893,262"/>
<area shape="rect" title=" " alt="" coords="5,221,152,262"/>
<area shape="rect" title=" " alt="" coords="176,213,344,269"/>
<area shape="rect" title=" " alt="" coords="1180,221,1305,262"/>
<area shape="rect" title=" " alt="" coords="1329,221,1476,262"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespaceargos"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceargos.html">argos</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a8fa76cc501e50bccf483198c034cdeff"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceargos.html#a8fa76cc501e50bccf483198c034cdeff">argos::REGISTER_SENSOR</a> (CCrazyflieBatteryDefaultSensor, &quot;crazyflie_battery&quot;, &quot;default&quot;, &quot;Daniel H. Stolfi based on the Adhavan Jayabalan's work&quot;, &quot;1.0&quot;, &quot;A battery level sensor for Crazyflie drones.&quot;, &quot;This sensor returns the current battery level of a Crazyflie drone. In\n&quot; &quot;controllers, you must include the ci_battery_sensor.h header.\n\n&quot; &quot;This sensor is enabled by default.\n\n&quot; &quot;REQUIRED XML CONFIGURATION\n\n&quot; &quot;  &lt;controllers&gt;\n&quot; &quot;    ...\n&quot; &quot;    &lt;my_controller ...&gt;\n&quot; &quot;      ...\n&quot; &quot;      &lt;sensors&gt;\n&quot; &quot;        ...\n&quot; &quot;        &lt;crazyflie_battery implementation=\&quot;default\&quot; /&gt;\n&quot; &quot;        ...\n&quot; &quot;      &lt;/sensors&gt;\n&quot; &quot;      ...\n&quot; &quot;    &lt;/my_controller&gt;\n&quot; &quot;    ...\n&quot; &quot;  &lt;/controllers&gt;\n\n&quot; &quot;OPTIONAL XML CONFIGURATION\n\n&quot; &quot;It is possible to add uniform noise to the sensor, thus matching the\n&quot; &quot;characteristics of a real robot better. You can add noise through the\n&quot; &quot;attribute 'noise_range' as follows:\n\n&quot; &quot;  &lt;controllers&gt;\n&quot; &quot;    ...\n&quot; &quot;    &lt;my_controller ...&gt;\n&quot; &quot;      ...\n&quot; &quot;      &lt;sensors&gt;\n&quot; &quot;        ...\n&quot; &quot;        &lt;crazyflie_battery implementation=\&quot;default\&quot;\n&quot; &quot;                           noise_range=\&quot;-0.3:0.4\&quot; /&gt;\n&quot; &quot;        ...\n&quot; &quot;      &lt;/sensors&gt;\n&quot; &quot;      ...\n&quot; &quot;    &lt;/my_controller&gt;\n&quot; &quot;    ...\n&quot; &quot;  &lt;/controllers&gt;\n\n&quot;, &quot;Usable&quot;)</td></tr>
<tr class="separator:a8fa76cc501e50bccf483198c034cdeff"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
